Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::InvalidMessageType Struct Reference

Not a known message type. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::InvalidMessageType:
[legend]
Collaboration diagram for FIX::InvalidMessageType:
[legend]

List of all members.

## Public Member Functions

| InvalidMessageType (const std::string &what="")

## Detailed Description

Not a known message type.

Definition at line 169 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::InvalidMessageType::InvalidMessageType | ( | const std::string & | what = `""` | ) | `[inline]`

Definition at line 171 of file Exceptions.h.

    00172     : Exception( "Invalid Message Type", what ) {}

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h